clear;clc
A = [1 7; 0 0]
b = [1;0]
z0 = lsqr(A,b)
delta = [0.1,0.01,0.005,0.003,0.001,0.0001,0.00001,0.000001,1e-7,1e-8,1e-9,1e-10];

for d = delta
    Ah = A+[0 0; 0 d^(1.0/3.0)]
    bh = b+[0; d]
    zd = Ah\bh
    [z,lambda] = solveLSIterRegular(Ah,bh,0.1,0.8,1000,1);
    fprintf('d = %g\tz = %g,%g\tl=%g,%g\n',d,z(1),z(2),lambda(1),lambda(2));
end