function [z, lambda] = closedCircuitExperimentParabolic(solver,L,T,nx,nt,z0,delta,varargin)
    yT = zeros(nx,1);
    [A,b,x,t] = approxParabolicEquation(L,T,nx,nt,yT);
    u = A*z0;
    d = rand(size(u));
    d = delta.*d./norm(d);
    udelta = u+d;

    [z, lambda] = solver(L,T,nx,nt,udelta, varargin{:});
end