% [x, lambda] = solveLSDualRegular(A,b,alpha)

function [x, lambda] = solveLSDualRegular(A,b,alpha)
    %R = @(lambda) (-(getLSVbylambda(A,b,lambda)-alpha*lambda'*lambda));
    %lambda0 = zeros(size(b));
    %lambda = fminsearch(R, lambda0);
    A2 = A*A';
    %opts = optimset('Algorithm','interior-point-convex','Display','none');
    opts = optimset('Algorithm','active-set','Display','iter');
    H = 1/2*A2+2.*alpha.*eye(size(A2));
    lambda = quadprog(H, b, [],[],[],[],[],[],[], opts);
    x = -1/2*A'*lambda;
end
